x2goumount-session(8)

NAME
x2goumount-session - Unshare mounted Folders from X2Go Session

SYNOPSIS
x2goumount-session <session_id> [<local_path_on_client>]

DESCRIPTION
x2goumount-session is used to unshare client folders from X2Go session with session ID <session_id>. Shared folders have been previously mounted into the X2Go session by the x2gomountdirs command.

x2goumount-session is run with X2Go user privileges and normally issued by an X2Go client application.

ARGUMENTS

\FC<session_id>\F[]
    Unmount shared folder(s) as registered for X2Go session ID <session_id> in the X2Go session database.

\FC<local_path_on_client>\F[]
    Optionally, you can name a local path name (path name as found on the client-side) here. If given, only the named folder is unshared from the X2Go session <session_id>.

If this optional argument is omitted, then ALL session folders will be unshared (including spool folders for printing and MIME box).

RETURN VALUES

RETURN VALUES
By x2goumount-session nothing is reported on stdout or stderr.

As exitcode x2goumount-session return 0 on successful an umount action. If there is a failure during unmounting a shared folder a non-zero exit code is returned.

SEE ALSO
x2gomountdirs(8)

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).